Limp Content

>

Limp

Program for Loudspeaker Impedance Measurement

Ivo Mateljan

Artalabs, J. Rodina 4, 21215 Kastel Luksic, Croatia

User Manual

Version 1.9.7

December, 2023

Copyright © Ivo Mateljan, 2005 - 2023. All rights reserved.

Content

1 What is LIMP?

2 Impedance measurement - theory

2.1 Basic circuit for impedance measurement
2.2 Stepped sine and pink periodic noise generator
2.3 Simple measurement procedure
2.4 Measurement in noisy environment

3. Measurement Hardware Setup

4 Working with LIMP

4.1 LIMP Menus
4.2 Soundcard Setup
4.3 Generator and Input Monitor Setup
4.4 Measurement Setup
4.5 Measurement Procedures
4.6 Graph Setup and Browsing
4.7 Calibrated Measurements
4.7 File Manipulations

5 Loudspeaker parameters

5.1 Definition of physical and dynamical loudspeaker parameters
5.2 Estimation of Thiele-Small parameters from impedance curve
5.3 Estimation of physical loudspeaker parameters
5.4 Automatic estimation of physical and dynamical loudspeaker parameters

Literature


1 What is a Limp?

1 What is LIMP?

LIMP is a program for the measurement of loudspeaker impedance and estimation of the loudspeaker's physical and dynamical parameters (also called Thiele-Small parameters). It is also a general-purpose program for measuring impedance in the audio range.

Requirements to use LIMP are:

  • Operating systems: Windows Vista / 7 / 8 /10 / 11
  • Processor class Pentium, clock frequency 1 GHz or higher, minumum memory 2GB for 32bit or 4GB for 64bit Windows.
  • Full duplex soundcard with synchronous clock for AD and DA converters
  • WDM or ASIO soundcard driver (ASIO is trademark and software of Steinberg Media Technologies GmbH).

The installation of LIMP is through a common setup program for the ARTA Software

All registry data for LIMP will be automatically saved at first program execution, and files with extension ".LIM" will be registered to be opened with a program LIMP. Results of measurement can also be saved as ASCII formatted files in .ZMA format.

LIMP does not dump graphs to the printer, instead, all graphs can be copied to the Windows Clipboard and pasted to other Windows applications. Graphs can be saved in .BMP, .PNG or .JPG formats.


2 Impedance Measurement - Theory

2.1 Basic circuit for impedance measurement

2.2 Stepped sine and FFT mode of measurements

2.3 Simple measurement procedure

2.4 Measurement in noisy environment


2.1 Basic Circuit for Impedance Measurement

The measurement of the loudspeaker impedance is based on the system shown in Fig. 2.1. The reference resistor R is connected between the signal generator and a loudspeaker impedance Z.

Figure 2.1 Circuit for the loudspeaker impedance measurement

Impedance is defined in the frequency domain as Z (f). We can measure impedance using circuit shown in Fig. 2.1. If we measure reference voltages U1 (f) and voltage on impedance U2 (f), then current that flow through the reference resistor R is (U1 (f) - U2 (f))/ R, and we can estimate the loudspeaker impedance using expression:


2.2 Periodic noise generator

2.2 Stepped Sine and FFT modes of measurements

LIMP has two modes of impedance measurement:

1) Stepped sine mode

2) FFT mode with multitone or periodic pink noise (Pink PN) excitation

In the stepped sine mode LIMP generates a pure sinusoidal signal, frequency by frequency with 1/24 or 1/48 octave increment, and measures response to sinusoidal signal by filtering out noise and distortion components in sinusoidal response. It is the preferred mode for impedance measurement but the measurement time is very long.

FFT mode is a faster method for impedance measurement, but it gives a much lower measurement S/N ratio than in stepped sine mode. In FFT mode ARTA simultaneously measures the values of the impedance in the whole audio range of frequencies. It allows for two kind of wideband excitation signals: multitone or wideband pink PN.
The wideband pink PN and multitone signals are realized as periodic random phase multi-sine signals. Both are a zero dc, periodic signals that contain N sine components, each with a random phase:

The pink PN has frequency components on all the FFT frequency bins (fk = k fs / N) and its spectral magnitudes roll-off at -3dB/octave (Ak =√2A2k ) after specified cut-off frequency.
In LIMP, a variable low frequency cut-off frequency can be changed in the 'Signal Generator Setup' dialog box. The pink noise is usually used with a cut-off frequency set close to the frequency where the loudspeaker has an impedance maximum (20-100Hz). The pink PN signal has the statistical distribution close to the normal distribution.

Multitone signal, as defined in the IEC 60268-21 standard , is the sum of random phase spectral components that have equal magnitude (Ak =const.), but they are sparsely generated only on FFT frequency bins that are approximately 1/n-octave apart (fk+1 = fk 21/n). In LIMP the resolution of 1/24 octave is used if FFT size is less than 64K, otherwise the resolution is 1/48 octave.
Although multitone and pink PN are mathematically similar signal, they sound very different and are used for different purposes. Pink PN is always generated as wideband signal while multitone spectrum can be user defined in a restricted frequency range [Fstart, Fstop].

In LIMP multitone and pink PN signals are generated with a crest factor slightly above 12dB. The sine signal has crest factor 3dB. Signals generated using D/A converters have limited peak signal value, which means that maximal total RMS value of all multitone components is three time smaller (9dB) than maximal RMS of sine signal (for the same peak value). If we generate multitone with resolution of 1/48-octave it means in audio range there will be 480 multitone components each with RMS value that is sqrt(480) times lower than multitone total RMS, or 3*sqrt(480) lower than sine rms value. This reasoning leads us to the conclusion that measurement in stepped sine mode theoretically has 36dB better S/N ratio than measurement oin FFT mode.


2.3 Simple Measurement Procedure

In the Stepped sine mode, a simple measurement procedure is as follows:

  1. LIMP generates pure sine signal starting with f =Fstart. We assume that this is output signal of the generator shown in Fig. 2.1.
  2. After an arbitrary transient time, that is necessary to reach the steady state, voltages at both ends of the reference resistor are measured as discrete time series u 1 and u 2 of length N.
  3. The magnitude and phase of signal u1 and u2 at frequency f are estimated by finding fundamental sinusoidal components U1 and U2 at generator frequency f. It is done by directly solving Fourier integral in integration time T. These fundamental harmonics are used in the equation (1) to calculate the impedance Z.
  4. After some arbitrary time, we call it intra burst pause, that is necessary for measured system to release reactive energy, a frequency is incremented for 1/24 octave(or 1/48 octave) and the process is repeated from step 1) until we get to the predefined stop frequency.

In the FFT mode, a simple measurement procedure is as follows:

  1. LIMP generates the Multitone or Pink PN as a discrete periodic sequence with a period equal to N. We assume that this sequence drives the generator shown in Fig. 2.1.
  2. After one preaveraging cycle, which is necessary to reach the steady state, voltages at both ends of the reference resistor are measured as discrete time series u 1 and u 2 of length N.
  3. The DFT is applied to time series u1 and u2 to get spectral components U1(f) and U2(f). They are used in the equation (1) to calculate the impedance Z(f).


2.4 Measurement in Noisy Environment

The main source of measurement noise is a loudspeaker that acts as a microphone for the environmental noise and vibrations. Fig. 2.2 shows modified circuit for the loudspeaker impedance measurement, with the noise generator En included.

Loudspeaker generated noise depends on three sources:

- First source is airborne noise that activate loudspeaker to work as microphone.

- Second source of noise is external mechanical vibration that moves loudspeaker and modulate membrane position – again we have microphonic effect.

- Third source of noise is self-vibration of loudspeaker that exists when loudspeaker is driven by large signal. This kind of noise is very strong if loudspeaker is loosely mounted, then vibration of basket and magnet nonlinearly interact with mounting body.

To get reliable results, particularly in FFT mode, measurement should be done in low noise environment, with loudspeaker decoupled from vibrational sources. Also, it is beneficial to orientate membrane vertically, as it reduces gravitational force influence on membrane displacement.

Figure 2.2 A circuit for the loudspeaker impedance measurement, with the noise generator En

If we apply equations for impedance measurement (1) to this circuit, we get the estimated impedance value:

(3)

What this equation shows is that estimated impedance differs from the true impedance Z by the term that is dependant on the S/N ratio (Eg/En) and values of resistors R, Rg and the impedance Z. By using additional knowledge from measurement process we can conclude:

  1. 1. The simple theory shows that the signal generator must supply a high voltage, to assure high S/N, but practical measurements have shown that it is better to use smaller output voltage. Two facts prove that: First, a larger voltage drives the loudspeaker to highly nonlinear region. Second, a larger voltage drive can enlarge driver self-vibration that can produce discontinuous noise in interaction with mounting. AES recommends voltages in the range 0.1 – 0.2 V, but even lower values are acceptable. This is especially important if we measure impedance to get data for driver parameters estimation.

  2. 2. When we use the FFT method the measurement results are highly affected with noise. The loudspeaker acts as a microphone with a highest sensitivity in the region of the membrane resonance. It means the highest level of the noise is at low frequencies, so we must generate the signal with high level at low frequencies, i.e. the pink noise, or multitone with spectral components equally distributed on log-frequency scale.

3. Values of resistors R and Rg must be small, an optimum being a value close to the magnitude of the measured impedance. Practically, we can use R = 10-27 ohm to get a very good impedance estimation, but then we need a power amplifier to supply large current. If we use the soundcard headphone output as a signal generator, then we can use R = 40-100 ohms. If we use the soundcard line output as a signal generator, due to the limited current capability, we must use R > 600 ohms. In that case we can't get a good estimation with FFT method, but we still can successfully use the stepped sine method.

2.4.1 Lowering measurement noise in stepped sine mode

In stepped sine mode LIMP uses the "heterodyned" principle to filter all spectral components that are out of the passband which is centered at the measured frequency. The bandwidth of the filter is equal to 1/T where T is integration time of the Fourier integral. For example, if we use an integration time of 200 ms, then the width of the passband of the "heterodyne" filter is 5 Hz.

2.4.2 Lowering measurement noise in FFT mode with periodic noise excitation

The noise can be partly lowered in FFT mode by using the averaging technique in the estimation of U1 and U2. LIMP averages the auto-spectrum of U1 and the cross-spectrum U1 U2 , giving the following estimated impedance:

(4)

Note: brackets <> denotes averaged values and star denotes the conjugate complex value.

Two types of averaging can be applied in LIMP. In a "time domain synchronous averaging" LIMP generates multiple periods of one noise sequence (Fig. 2.3). In a "frequency domain asynchronous averaging" LIMP generates a different noise sequence for every acquired FFT block (Fig. 2.4). The Frequency Domain Asynchronous Averaging can give a slightly better results than the synchronous averaging in systems with nonlinear distortion, but it needs longer time for measurements.

Figure 2.3 Signal generation and acquisition during the synchronous time domain averaging process

Figure 2.4 Signal generation and acquisition during the asynchronous frequency domain averaging


3. Measurement Hardware Setup

The simplest measurement configuration is shown in Fig. 3.1. The soundcard phone-out (headphone output ) is used as a signal generator output. The soundcard right line-input is used for recording the reference voltage U1 and the soundcard left line-input is used for recording the voltage U2.

If the soundcard has no headphone output, then we have to connect external power amplifier to the soundcard line-out output, as shown in Fig. 3.2.

Figure 3.1 Measurement setup for loudspeaker impedance measurements, using a soundcard headphone output

Figure 3.2 General measurement setup for loudspeaker impedance measurements

To protect the soundcard input from a large voltage that may be generated at a power amplifier output, it is recommended to use the voltage probe circuit with Zener diodes, as shown on Fig. 3.3. Values of resistors R1 and R2 have to be chosen for arbitrary attenuation (i.e. R1=8200 and R2=910 ohms gives probe with -20.7 dB (0.0923) attenuation if the soundcard has usual input impedance - 10 kΩ).

Figure 3.3 Voltage probe with the soundcard input channel overload protection


4 Working with LIMP

When you start LIMP you will get the program window shown in Fig. 4.1. There are menu bar, toolbar and a dialog bar at the top of the window and a status bar on the bottom of the window. The central part of the window will show the magnitude and the phase plots.

Figure 4.1 Main program window

Figure 4.2 Toolbar icons

Figure 4.3 The status bar shows peak levels (ref. full scale) of left and right line input

Figure 4.4 Top and right control bars

Images of graphs and windows can be copied to Windows clipboard or saved to the file in a three image formats: png, bmp and jpg. It is recommended to use png format.

Obtaining a copy of the full window picture is simple. User needs to simultaneously press keys Ctrl+P. After that command the window picture will be saved in the System Clipboard, from there the user can paste it in other open Windows applications (MS Word, MS Paint). Keys Ctrl+Alt+P activate command to save that image in the file.

To copy or save the graph picture, that is shown inside the window, user needs to simultaneously press keys Ctrl+C or activate the menu command 'Edit->Copy', or press appropriate 'Copy' button. In the main window toolbar, the 'Copy' button is shown as toolbar icon [image].

Figure 4.5 Dialog box 'Copy to Clipboard with Extended Information',

The Copy command opens the dialog box 'Copy/Save Image with Extended Information', shown in Figure 4.5. Here user has to setup following options:

1) By using the combo box above ‘OK’ button, user chooses one of three modes of saving the image: Copy to Clipboard, Save to File and Save to File + Copy to Clipboard.

2) In the Edit box user optionally enters the text that will be appended at the bottom of the graph.
3) Check box 'Add filename and date' enables adding text to the graph that shows file name, date, and time.

4) Check box ‘Save text’ enables saving the entered text for the next copy operation.

5) Combo box 'Aspect ratio' sets graph aspect ratio for copying graphs with fixed width.

6) Bitmap size is chosen by selecting one of following Combo box items:

Current screen size - variable width and height option
Smallest - fixed graph width 500 points
Small - fixed graph width 600 points
Medium - fixed graph width 800 points
Large - fixed graph width 1000 points
X Large - fixed graph width 1200 points
XX Large - fixed graph width 1500 points
XXX Large - fixed graph width 2000 points

Pressing the button 'OK' copies the graph to the system clipboard.
Pressing the button 'Cancel' cancels the copy operation.


4.1 LIMP Menus

Here is a brief explanation of LIMP menus:

File

New - initializes a new file content

Open... - opens an existing impedance file (*.LIM)

Save - saves the file with a current name

Save As... - saves the file under a new name

Info. - shows information about current file

Export ASCII - exports the file content in a textual - ASCII file

Commented .TXT file - exports textual file with comment and rows containing frequency, impedance magnitude and phase

Plain .ZMA file - exports textual file with rows containing values of frequency, impedance magnitude and phase

CSV (Excel) file - exports CSV file containing values of frequency, impedance magnitude and phase

Import from .txt or .zma file – imports impedance data from a textual file whose rows contain
values of frequency, impedance magnitude and phase

Recent File - opens a recently opened file

Exit - exits the program

Overlay

Set as overlay- sets the current impedance curve as an overlay

Delete - deletes overlay

Load - loads an overlay from an impedance file

Set as target curve - sets current curve as target curve

Load target curve - loads an target curve from an impedance .lim or .zma ofile

Delete target curves - deletes all target curves

Make target curve from TSP – makes and shows target impedance curve

calculated from measured loudspeaker parameters

Edit

Copy - copies the graph bitmap and user defined text to the clipboard or saves that image to the file

Colors and grid style- sets graph colors and grid style

BW background color- sets graph background color black or white

Thick pen - uses thick pen for plotting curves

Thick grid - uses thick pen for graph grid

Subtract overlay - subtracts overlay impedance from current impedance

Add overlay - add overlay impedance to current impedance

View

Toolbar - shows or hides the Toolbar

Status Bar - shows or hides the Status bar

B/W Color - changes the background color to black or white

Fit graph range - changes graph top margin to show full impedance curve

Magnitude - shows only impedance magnitude curve

Magnitude+phase - shows impedance magnitude and phase curves

Record

Start - starts recording (measurement)

Stop - stops recording (measurement)

Calibrate - opens the dialog box for calibration of line input channels

Setup

Audio devices - sets current input and output devices

Generator and Input Monitor - sets generator parameters and measures input voltage

Measurement - sets measurement parameters

Cable compensation - sets resistance and inductance for cable impedance compensation

Graph - sets graph margins

CSV format - opens dialog box for setup of decimal separator character in CSV files

Analyze

Loudspeaker parameters - Closed box method - shows the dialog box for the estimation of loudspeaker parameters using Closed box method

Loudspeaker parameters - Added mass method - shows the dialog box for the estimation of loudspeaker parameters using Added mass method

Loudspeaker parameters - Fixed mass method - shows the dialog box for the estimation of loudspeaker parameters using Fixed mass method

RLC impedance values at cursor position - estimates values of impedance serial RLC elements

Help

About - gets information about the LIMP

Registration - shows the user license registration

User Manual - shows the help file

Keyboard shortcuts:

Up and Down keys - change the top graph margin

Left and Right keys - move the cursor left and right

Ctrl+C key - copies the graph bitmap and user defined text to the clipboard or saves that image to the file
Ctrl+P key - copies a whole window bitmap to the clipboard
Ctrl+Alt+P key - saves a whole window bitmap to the file
Ctrl+B key - changes background color

Ctrl+A key - set currently plotted curve as overlay

F3 key - make target curve by calculating loudspeaker impedance using current TSP parameters


< ? >

4.2 Soundcard Setup

Activate the menu Setup->AudioDevices. You will get the 'Soundcard Setup' dialog box shown in Fig. 4.6. In this dialog box you choose which soundcard will be used as an input or output device. Generally, choose the same card as an input and output device.

Figure 4.6 Soundcard setup

The 'Audio Device Setup' dialog box has following controls:

Soundcard driver - chooses the type of soundcard driver (WDM – windows multimedia driver or one of installed ASIO drivers).

Input channels - chooses the soundcard input stereo channels. ASIO driver can have large number of channels.

Output Device - chooses the soundcard output stereo channels.

Generally, user chooses input and output channels of the same soundcard (mandatory in ASIO driver mode).

Control panel button – if WDM driver is chosen, it opens Windows Sound control panel.. If ASIO driver is chosen, it opens ASIO control panel.

Wave format – chooses Windows wave format: 16-bit, 24-bit, 32-bit or Float. Float means IEEE floating point single precision 32-bit format. It is recommended to use 24-bit or 32-bit modes when using a high quality soundcard (many soundcards are declared as 24-bit, but their real bit-resolution is less than 16-bits). It is recommended to choose resolution type Float. This control has no effect in the ASIO mode, where a bit resolution has to be setup in the ASIO control panel.

Important notice: Please mute the line and microphone channels at the output mixer of the soundcard; otherwise you might have positive feedback during measurements. If you use a professional audio soundcard, switch off the direct or zero-latency monitoring of the line inputs.

4.2.2 WDM Audio Driver Setup for Windows Vista / 7 / 8 / 10

The operating system (also, sometimes in conjunction with control programs of professional soundcards) is responsible for setting soundcard native sampling rate and bit resolution. Operating system changes native resolution to floating point format for high quality mixing and eventually for the sample rate conversion.

For LIMP, this means that it is strongly recommended to use ‘Float’ resolution and to set the sampling rate to the native format. Access to these values is in ‘Windows sound control panel’, which user gets by clicking the button ‘Control Panel’ in ‘Audio Device Setup’ dialog.

Fig. 4.7 shows Vista/7 control panel, that has four property pages.

As first step, user has to adjust 'Playback page' and later repeat the same procedure for 'Recording page'. Adjustment steps are:

1) Click on channel info to choose a playback channel. It is not recommended to use the measurement channel as a default audio channel.

2) Click on button ‘Properties’ to opens channel ‘Sound properties’ dialog.

3) Click on the tab ‘Levels’ to open the output mixer (as in Fig. 4.8). Then mute Line In and Mic channels, if exist.

4) Click on the tab ‘Advanced' to set the channel resolution and a sample rate (as in Fig. 4.9)

5) Repeat previous procedure 1) to 4) for recording channel, and choose the same sampling rate as in the playback channel.

Figure 4.7 Vista Sound Control panel

Figure 4.8 Playback channel properties – Output levels

Figure 4.9 Setting the native bit resolution and sampling rate

4.2.2 ASIO driver setup

ASIO drivers are decoupled from the operating system control. They have their own control panel to adjust native resolution and memory buffer size. The buffer is used for transfering sampled data from the driver to the user program. User opens the ASIO control panel by clicking button ‘Control Panel’ in the ‘Audio Device Setup’ dialog. Fig. 4.10 shows an example of ASIO control panel.

Figure 4.10 E-MU Tracker Pre ASIO Control panel for setting bit-resolution and buffer size

In music applications user usually sets buffer size as small as possible with stable operation. That gives the lowest input/output latency (system introduced delay).

In LIMP, the latency is not problem, as it is encountered in software, but it is not recommended to use buffer with size larger than 2048 samples, or smaller than 256 samples. Some ASIO control panels express the buffer size in samples, while other express the buffer size in time [ms]. In that case we can calculate the size in samples using the following expression:

buffer_size [samples] = buffer_size[ms] * samplerate[kHz] / number_of_channels.

ARTA automatically sets the buffer size for signal duration of 10 ms (i.e. 512 samples for sample rate 48kHz, 1024 samples for sample rate 96kHz and 2048 samples for sample rate 192kHz).

LIMP always works with two input channels, and two output channels, treating them as a stereo left and right channels. As ASIO support multichannel devices, user has to choose in a dialog box ‘Soundcard Setup’’ which pair of channels will be used (1/2, 3/4, …).


4.3 Generator Setup

4.3 Generator and Input Monitor Setup

Three types of excitation signals are possible in LIMP:

  • Sine
  • Multitone
  • Pink PN

user chooses signal type in the top dialog bar or in the dialog box 'Generator and Input Monitor Setup' shown in Fig. 4.13. It opens by clicking the menu Setup -> Generator and Input Monitor or by clicking the toolbar icon [image] . Besides signal type, the user can choose other signal characteristics (output level relative to maximum level and pink PN cut-off frequency).

The dialog box also contains a two-channel virtual voltmeter for monitoring voltages on the generator output (usually left input channel) and on measured impedance (usually right input channel).

Input monitoring has no influence on the measurement of impedance; it just serves to set measurement signals to levels that will be treated as small signal or large signal excitation.

Figure 4.13 Signal generator setup

The dialog 'Generator Setup' has following controls:

Generator section

Type - chooses the excitation signal: Sine, Multitone or Pink PN

Sine freq. (Hz) - enters test frequency of the sine generator

Pink cut-off (Hz) - enters the low-frequency cut-off of the pink noise generator

Stepped sine level (dB) - chooses the output level (0 to -30dB)

Multisine level (dB) - chooses the output level (0 to -20dB) for multitone or Pink PN

Input level monitor section

Two voltmeter controls - show either RMS voltages or level in dBV for left and right input channels
dB check box - if checked "LED" controls shows rms voltage in dBV units

Input calibration section
Sensitivity (mVpeak) - Left - sets sensitivity for Left input channel.
Sensitivity (mVpeak) -Right - sets sensitivity for Left input channel.
Calibrate Left and Right buttons - starts calibration procedure for Left and Right channel.

Start/ Stop button - starts/stops the generator with current settings, also capture signals on both channels

Load Cal button - Loads calibration data from ARTA .cal files.
Ok button closes dialog and saves dialog state.
Cancel button closes dialog and saves dialog state.

Peak meter - shows peak value ref. full scalle. Meter bars are shown in following colors:

- green (for levels below -3 dB),

- yellow (for levels between -3 dB and 0 dB),

- red (for input overloaded).,

The virtual voltmeter should be calibrated. Two values are important for calibrated measurement: input channel sensitivity, defined as peak voltage in mV for full scale excitation, and input probe gain. The calibration steps described below set the input channel sensitivities.

The digital measurement system records a sequence of discrete measured values D[i] in a restricted dynamic range. In ARTA software discrete values D[i] are floating point values in the range from -1 to 1. The virtual measurement system maps internal presentation D[i] to external discrete voltage values V[i], that has been recorded, using sensitivity factor:

Sensitivity = V[i] / D[i], where |D[i]| <= 1, i = 0,1,2,…

The unit of Sensitivity is the Volt as D[i] is dimensionless. The same hold for RMS values of periodic signals;

Sensitivity = Vrms / Drms.

Maximum possible value of discrete sequence D[i] is 1. That gives us alternative definition of sensitivity as maximum peak value (or full scale) voltage that can be recorded by digital instrumentation;

Sensitivity = Vpeak-max (Volts).

With LIMP the calibration is simple. It requires that user chooses sine signal and sine frequency in the range 300-500Hz. The circuit for impedance measurement should be connected to the sound card, as shown in Fig. 3.1 or 3.2. Theprocess starts by clicking button Start/stop. If recording starts successfully we can do calibration by clicking buttons Calibrate Left and Calibrate Right. That opens dialog box shown in Fig. 4.14.

Figure 4.14 Dialog for calibration of input channels

Then, user should measure voltage using voltmeter connected instead of measured impedance and enter that value in the edit box. The calibration finishes by clicking button ‘OK’. If user click button ‘Cancel’ the calibration is rejected.

For usual measurement setup shown in Fig. 3.1 or Fig. 3.2, this procedure will give voltage measurement accuracy better than 1%, which is more than enough for monitoring purpose.

Note: If system uses voltage probe, as in Fig. 3.2, calibration encounters sensitivity scaling automatically. Input impedance of voltage probe should be 100 times larger than reference resistor to retain accuracy bellow 1%.

Recommendation:

  • For most reliable results use sine generator, but don't push loudspeaker into large displacement (the largest displacement is at frequencies below the loudspeaker resonance frequency). Small signal regime requires voltages on impedance smaller than 100mV rms.
  • For measurements of bass or mid-bass loudspeakers set the Pink cut-off frequency close to the loudspeaker resonance frequency (20-100 Hz).
  • If measuring impedance for TSP estimation use low level signal. If you want that estimation of TSP using stepped sine mode is comparable to FFT mode lower the sine level 13-15 dB.
  • Standard AES2-2012 recommends measurement of impedance with 0.1V rms of sine voltage. If we apply multitone or pink with 0.2 V rms we will get comparable results.


4.4 Measurement Setup

For setup of measurement parameters use the 'Measurement setup' dialog box, shown in Fig. 4.15. You get it by clicking the menu Setup->Measurement or by clicking the toolbar icon [image] .

Figure 4.15 Measurement setup

'Measurement setup' dialog box has following controls:

In section Measurement config:

Reference channel - sets the reference channel, for measurement of U1 to: Left or Right.

Reference resistor - enters the value for the reference resistor.

In section Frequency range:

High cut-off - enters measurement upper frequency margin.

Low cut-off - enters measurement lower frequency margin.

Sampling rate (Hz) - chooses the sampling rate (from 8000 to 96000 Hz).

In section Stepped sine mode:

Frequency increment - sets to 1/24 or 1/48 octave.

Min. integration time (ms - enters minimum integration time (higher values give higher noise reduction).

Transient time (ms) - enters transient time to allow the system to get to the steady state (before starting the integration).

Intra burst pause (ms) - enters time needed for system to release the energy from reactive components.

Mute switch-off transients - check box to remove annoying sound due to sine burst abrupt switch-off.

In section FFT mode (pink noise excitation):

FFT size - chooses the length of the FFT block (32768 or 65536).

Type - chooses: None, Linear or Exponential averaging.

Max. Averages - enters the maximum number of averaging for the 'Linear' mode.

Asynchronous averaging - check box to use the asynchronous averaging.

Copyright © 2005-2010, Ivo Mateljan


4.5 Measurement Procedures

After you have done the audio device setup, the generator setup and the measurement setup you are ready for measurements.

a) Procedure in FFT mode

Connect loudspeaker in test fixture (Fig. 3.1 or 3.2) and click the menu Record->Start or click the toolbar icon [image] . Measurements will be periodically repeated and results shown as an impedance plot. You will get the graph like one shown in Fig. 4.16.

You can stop the measurement by clicking the menu Record->Stop or by clicking the toolbar icon [image] .

You can copy the graph bitmap with Edit->Copy or by clicking the toolbar icon [image] .

Figure 4.16 Impedance measurement without averaging - a noisy measurement

If the averaging is set to Linear, measurements will be repeated and averaged until the number of averaging reach the predefined value (Max averages from the 'Measurement setup' dialog box). The averaging can be stopped any time by clicking the menu Record->Stop or by clicking the toolbar icon [image] . You will get the graph like one shown in Fig. 4.17.

Figure 4.17 Impedance measurement with averaging

You can also choose the exponential averaging. It differs from linear averaging in a way that it gives more weight to results from last five measurements.

a) Procedure in Stepped sine mode

Measurement procedures for stepped sine mode are almost the same as in FFT mode. The only difference is that in FFT mode user will see the impedance plot for full measured frequency range almost instantly, while in stepped sine mode procedure will be repeated for many frequencies, step by step. The cursor will show current progress in measurements, and that process will be very slow.

During a measurement, the cursor legend, shown below graph, shows frequency, impedance and THD of voltage signal measured on loudspeaker impedance. When the measurement finishes, THD will not be shown, but the frequency and maximal value of THD will be saved in a file. You can always see that information by clicking menu item ‘File->Info’.

Copyright © 2005-2010, Ivo Mateljan


4.6 Impedance Graph Setup

4.6 Graph Setup and Browsing

The menu command Setup->Graph Setup (or by right-clicking mouse in the plot area), opens the 'Graph Setup' dialog box, shown in Fig. 4.18. Use this dialog box to adjust the impedance magnitude range shown and the frequency range shown.

Figure 4.18 Graph setup

The 'Graph Setup' dialog box has following controls:

Impedance range (ohm) section:

Graph range - enters the impedance magnitude range.

Graph bottom - enters the impedance magnitude for graph bottom margin.

Freq. range (Hz) section:

High - enters the highest frequency shown (in Hz).

Low - enters the lowest frequency shown (in Hz).

View All - enables view of all DFT spectrum components that are used in impedance estimation.

View Phase - enables a phase plot.

Update - updates the graph with a new setup.

Graph colors can be changed in two ways. The first one is to change background color from "Black" to "White" by clicking the menu command View->B/W color or by clicking the toolbar icon [image] .

The second way to change graph colors is "user mode". The user sets an arbitrary color for every graph element using the 'Color Setup' dialog box, shown in Fig. 4.19. This dialog can be activated by clicking the menu Edit->Colors.

Figure 4.19 Dialog boxes for graph color setup

Clicking the left mouse button on the colored rectangle opens the standard Windows dialog box 'Color'.

A check box 'Use dotted graph grid' enables drawing of grid with dotted line style.

Figure 4.20 Standard Windows dialog for chioose color

Button 'Default' restores default colors.

We can browse the graph by moving the cursor. At the bottom of the graph the label 'Cursor:' denotes values of the magnitude and the phase, at the cursor position.


4.7 Calibrated Measurements

In previously described measurements we have assumed that both soundcard input channels have the same sensitivity, but usually it is not true. If the difference in sensitivity of the input channels is larger than 0.2 dB, or if soundcard input impedance is small, we need a measurement system calibration.

4.7.1 Calibration of Input Channels

LIMP has a built in calibration procedure. In FFT mode it has to be done for a particular generator sequence length and a sampling rate. Stepped sine mode accepts calibration for any sequence length.

During the calibration procedure measured impedance should be disconnected.

Calibration will be done for full frequency range using Pink PN signal.

Figure 4.21 Dialog for measurement system calibration

In section Generate Pink PN user sets output volume for Pink PN signal which sampling rate and FFT size was set in Measurement setup dialog.

Clicking the button ‘Generate’ activates the signal generation and monitoring of input levels on the Input Level Meter section. If necessary, we can adjust the output volume by using the combo box 'Output volume'.

Finally, in section Calibrate we enter the Number of averages (recommended value is 1, as we measure high level signals) and click the button ‘Calibrate’ to start calibration. After a two second, we have the calibrated system.

Warning: If we change the periodic sequence length (FFT size) or a sampling rate, we have to repeat the calibration procedure.
The last section shows a report of the calibration procedure. If the Channel difference is larger than 3 dB LIMP gives a warning, and calibration is rejected. This precaution is required because some soundcards change input impedance if gain changes.

When we click the OK button, the dialog will be closed but the calibration process to be fully effective needs one more thing:

It is recommended that instead of the current value of reference resistor R in measurement setup we enter instead the value R || Rin, where Rin is the soundcard passband input impedance, which is a real value. This is necessary if we need accuracy better than 1%.

Note: the calibration procedure is changed from LIMP version 1.9.2. In older version only channel gains differences were compensated and measurements were restricted to impedances values up to 200 ohms.

To explain how calibration is implemented let’s look at Fig. 4.22. which shows real measurement condition.

Figure 4.22 Electrical circuit for impedance measurement and system calibration

We assume that voltages are measured using soundcard input channels which have input impedances equal to Zin. Reference channel (usually left channel) measures voltage U1. The other channel is supposed to measure voltage U2 on measured impedance Z, but value of voltage on Z is aU2, where a is the ratio of possible different input channels sensitivities. The generator has output voltage e and output impedance Rg, but that values are not important for current discussion.

The circuit has switch CAL that should be closed during measurement of impedance Z and open during the calibration.

The current through reference resistor R is I = (U1-U2/a)/R. During impedance measurement following equations hold:

Where Z || Zin denotes parallel circuit of Z and Zin. It is obvious that even if we have equal gains in both channels (a = 1) we measure Z || Zin not the impedance Z alone.
After some algebraic operation we get expression for impedance Z:

This expression is different from basic impedance measurement expression from chapter 1. It is biased with values of gain a and input impedance Zin.
Now we will define calibration as process which will give us value of factor: a Zin / (R+Zin).
In calibration procedure we measure voltages U1 and U2, but with measured impedance disconnected. From circuit on Fig. 4.21 we get:

This value can be memorized and applied in expression for impedance, which now gets form:

Most soundcards input impedances is a real values in the whole audio range (Zin = Rin). If we know the value of Rin we can enter in LIMP measurement setup value R || Rin instead of reference resistor R, and we will get very accurate measurements. Let’s se what will be relative error without accounting for Rin.

Let Rin = 10k and R=47 ohms, then relative error is 0.46%. If input impedance is 100k error is 0.05%. Practically, even without correction for Rin we will measure with error lower than 1%.

Note: The measurement impedance range is also limited by input channel noise when we measure small and large impedances. If we measure a small impedance the voltage U2 becomes small. If we measure a large impedance voltage difference U1-U2, that determines current, becomes small. As a rule of thumb, we can define measurement range from R/100 to R*100 for most soundcards and signal types. If we use high quality soundcards with low noise inputs and stepped sine measurements that range can be much larger.

Cable compensation

Sometimes we have to use long cables to connect the loudspeaker to the reference resistance. If we know the cable resistance and inductance then we can enter them in LIMP and substract from measured impedance. That procedure, called cable compensation, can be set by menu command Setup->Cable Compensation. It opens the dialog box shown in Fig. 4.23.

Figure 4.23 Dialog for cable impedance compensation setup

Two edit boxes are used for entering cable resistance (in ohms) and inductance (in nH). The check box "Automatically subtract cable impedance from measured impedance" must be checked if user wants that cable compensation be applied during the measurements.


4.7 Calibrated Measurements

< ? >

4.8 File Manipulations

Impedance data can be saved in LIMP binary format (.LIM files) and in textual ASCII format (.TXT or .ZMA files).

Besides impedance data .LIM files can contain user defined text of arbitrary length. The user enter any text in edit box of the File Info dialog box (see Fig. 4.24). This dialog box can be opened by clicking menu command 'File->Info'.

Figure 4.24 Dialog for file information

Textual files have extension .txt or .zma. They contain lines of text with three numeric literals: frequency (in Hz), magnitude (in ohms) and phase (in degrees). The line ends with new line character. The only difference between .txt and .zma files is that .txt files can contain comment lines. Comment lines start, after arbitrary number of space or tab characters, with nonnumeric characters, while data lines start with digit or dot character.

File can be loaded as regular impedance data or as data for the overlay plot . Only one overlay is allowed.

Binary file .LIM format is as follows:

   char id[4];              // four character identification  {'L', 'I', 'M', '\0' };
   unsigned version;        // version number - started from 0x0101
   unsigned reserved;       // 0
   int numdata;             // number of data points
   int cursorpos;           // last position of cursor
   int fftlen;              // length of FFT in FFT mode
   float  fs;               // sampling frequency
   float data[3*numdata]    // contains  frequency, magnitude and phase
   int infolength;          // info string length
   char string[infolength]; // info string data


5 Loudspeaker parameters

This chapter gives some definitions and measurement procedures for the estimation of loudspeaker parameters.

5.1 Definition of physical and dynamical loudspeaker parameters

5.2 Estimation of Thiele-Small parameters from impedance curve

5.3 Estimation of physical loudspeaker parameters

5.4 Automatic estimation of physical and dynamical loudspeaker parameters


5.1 Definition of loudspeaker parameters

An electrodynamic loudspeaker driver that is unbaffled in free air or mounted in an infinite baffle is characterized with following physical parameters:

Electromagnetic parameters:

RE - voice coil DC resistance (ohm)

ZLE - impedance of voice coil inductance and coupling to the pole piece (equivalent circuits used to characterize this impedance are shown in Fig. 5.1c, and denoted as: L2R [10], [11], L3R [7], and L2RK [12], [13])

Bl - force factor (Tm)

Mechanical parameters:

S - membrane effective area (m2)

CMS - membrane mechanical compliance (m/N)

MMS - mechanical mass of membrane MM plus mass of the air load on membrane MA (kg)

RMS - mechanical resistance plus membrane radiation resistance (kg/s)

For the unbaffled driver the air load mass is MA = 0.5658 S3/2 , which is half of the airload mass in an infinite baffle.

The membrane effective area S, also called piston area, is normally obtained from a cone diameter measurement that includes 1/2 of the surround width [6], [11]. This value is good estimation for S if motion of surround is linear, but in practice it can vary. Program MLSSA [10] suggests diameter value that include only 1/3 of the surround width.

Fig. 5.1 shows wideband and low-frequency equivalent circuits of an electro-dynamic loudspeaker that is mounted in a infinite baffle. The circuit for definition of low-frequency input impedance uses the following elements:

Figure 5.1 a) Wideband analogous circuit of an electro-dynamic loudspeaker that is mounted in an infinite baffle, b) circuit for the estimation of the low- frequency input impedance, and c) three circuit models for lossy inductor Z LE (L2R, L3R and L2RK model)

Using these analogous circuit elements, Thiele and Small ([6],[7]) introduced dynamical loudspeaker parameters. They are defined in the Table 5.1.

Resonant frequency in free air (Hz) | ,
Mechanical Q-factor |
Electrical Q-factor |
Total Q-factor |
Equivalent acoustical volume (m3) |
Midband Efficiency (%) |
Sensitivity (1W/1m) (dB re 20 uPa) |
Sensitivity (2.83V/1m) (dB re 20 uPa) |

Table 5.1 Thiele-Small loudspeaker parameters

( ρ 0 = 1.18kg/m3, c = 345m/s, pref = 20μPa)

Thiele and Small have shown that by using these parameters it is easy to express the low-frequency response of a closed loudspeaker box as 2nd order high-pass filter and response of bass-reflex box as 4th order high-pass filter. Today, almost every loudspeaker manufacturer provides physical and Thiele-Small parameters in their loudspeaker data sheets.

An old industry standard assumed that the voice coil electrical impedance contains resistive (R E) and pure inductive (Z LE = jw LE) components. Voice coil inductance (L E) was usually specified as inductive component of driver impedance at 1 kHz. In modern instrumentation that model is abandoned, and the voice coil is treated as “lossy” inductor whose impedance Z LE depends on frequency. Physically, Z LE is the input impedance of the "transformer" whose secondary winding is the pole piece. Eddy currents in the pole piece give rise to primary circuit resistance.

The simplest model [8] for a primary input impedance is KÖw + jKÖw,, where K is constant. It is expressed in unit called semiHenry (sH). The impedance of such semi-inductance increases with Öw rather than w. This model is not practical as engineers in many numerical simulations use some form of an equivalent electrical circuit that closely matches measurement data.

The most commonly used equivalent circuit for the electrical voice coil impedance in modern instrumentation ([10], [11]) is serial connection of resistor R E, inductor L E and parallel connection of resistor R2 and inductor L2. It is denoted in Fig. 5.1 as L2R model. For many years it has been proven as useful model in many simulations.

LIMP also enables estimation of two additional and more accurate equivalent circuits for lossy inductor: L3R and L2RK models. They are also shown in Fig. 5.1. The L3R model extends L2R model with one more parallel circuit L3||R3, while in L2RK model, as defined by Thorborg [12], a semi inductance K is added parallel to circuit L2||R2.

Originally, Small [6] defined parameters for loudspeaker mounted in an infinite baffle, but he allowed the same expression to be used for unbaffled loudspeaker. The same is allowed by IEC 60268-5 standard [15], with requirement to report which type of mounting is used in measurements. Instead od using an infinite baffle the IEC standard requires the use of a baffle of dimension 135x165 cm with driver mounting hole offsets from center 15x22.5cm. Standard AES2-2012 [16] exclusively advocates measurements with unbaffled driver. LIMP procedures support both type of driver mounting.

Thiele-Small parameters can be used to measure and analyze the response of a loudspeaker mounted in a closed box. The analogous circuit for closed box has same elements as circuit on fig. 5.1., but values of the elements change: CMS is replaced with parallel connection of CMS and equivalent box volume compliance, MMS changes only in air load mass term, and RMS changes due to added dissipation inside the box. The air load mass for loudspeaker mounted in closed box is between values of unbaffled driver and driver mounted in infinity baffle. This is probably the main reason why both types of mounting are accepted in practice - both are equally accurate and valuable to predict in-box response sensitivity and efficiency.


5.2 Estimation of Thiele-Small parameters

5.2 Theory for the estimationn of loudspeaker parameters

For the estimation of Thiele-Small parameters (TSP), LIMP offers two methods:

1) Thiele-Small method and

2) Nonlinear Least Square Error (LSE) minimization method.

LIMP also uses LSE minimization for the estimation of lossy inductor equivalent circuit elements. It is a first step in TSP estimation because it helps to remove influence of inductance element from analog circuit before using it in TSP estimation.

5.2.1 Estimation of lossy inductor equivalent circuit elements

LIMP estimates the values of lossy inductor equivalent circuit elements as values that give the least sum of squared differences between lossy inductor impedance Z LE(f) and a measured input impedance Z M(f) over all frequencies that are above the frequency of impedance minimum. LSE error function is defined as:

where Z LF(f) is a low frequency loudspeaker impedance estimated by Thiele-Small method (which is described in the next Section).
By default, LIMP estimates elements of L2R model by stable, linearized LSE error minimization method – sometimes also called a linear regression method. In addition, user can choose more accurate nonlinear LSE minimization methods for L2R, L3R and L2RK model circuit elements. For full discussion of these and TSP estimation methods it is recommended to read the paper [13].

5.2.2 Estimation of Thiele-Small parameters

It is easy to estimate Thiele-Small parameters if we have measured data for the loudspeaker impedance.

The voice coil resistance RE should be measured with a DC ohmmeter.

At low frequencies the influence of a voice coil inductance is small and the expression for the loudspeaker input impedance has the following form:

where s = jw , Ts = 1/ws.

The impedance has the maximum value at the resonance frequency:

as QES>QT.

Figure 5.2 Typical impedance curve of a loudspeaker that is mounted in free air

At frequencies f1 and f2, (where f1<fS<f2, and f1 f2 = fS2) impedance values are of equal magnitude;

If we substitute this expression in the impedance equation, we get

.

From this equation we get the mechanical Q-factor:

,

where r0 = Zmax / RE.

Now we can define a step by step procedure for the measurement of Q factors:

  1. Measure a voice coil resistance RE with a dc ohm-meter
  2. From impedance curve find fS and Zmax. Define r0=Zmax/RE.
  3. Choose some impedance magnitude RE<|Z1|<Zmax and find both frequencies (f1 and f2) where Z = Z1. Define r1=Z1/RE.
  4. Calculate QMS (from the above equation),
  5. Calculate QES using the equation QES=QMS / (r0-1).
  6. Calculate QT using the equation QT=QESQMS / (QES+QMS).

This procedure gives good results under two conditions:

1. if we have low noise level in measurement of impedance, and

2. if we first subtract magnitude of lossy inductor impedance |ZLE| from the magnitude curve. In first iteration |Z LE| is unknown. In that case TSP estimation procedure uses values of Z1 and f1 from measured magnitude curve that are below the resonance frequency f S and sets f 2 = f S f S / f1.

If we have noise in measurements we can reduce the estimation variance by repeating Thiele-Small procedure for different frequencies and average value of QMS. Good choices are frequencies where magnitude is 20% lower than maximum magnitude and 20% larger than minimum magnitude.

These two simple modifications of standard Thiele-Small procedure give accurate and reliable estimation of TSP.

5.2.3 Nonlinear LSE minimization method for the estimation of TSP

The Thiele-Small procedure is realizable only if the value of R E is known, but sometimes that value is not known. In that case we can use the nonlinear LSE minimization procedure where we minimize squared difference between measured impedance Z M and model impedance Z LF, i.e. we define LSE function as:

where optimization variables are RE, fS, Q MS and Q T. Z LE(f) is impedance of lossy inductor that is also estimated by LSE minimization.

If the value of RE, is known, optimization variables are: fS, Q MS and Q T. In some rare cases a convergent LSE minimization cannot be realized. In that case the modified standard Thiele-Small procedure would be used.


5.3 Estimation of physical parameters

5.3 Estimation of loudspeaker physical parameters

Three methods will be used for the estimation of physical parameters;MMS, CMS , RMS and Bl;

1. Added mass method,
2. Closed box method.
3. Fixed mass method.

All these methods can be used for measurement of a loudspeaker mounted in an infinite baffle or in free air. The results for two mountings will differ slightly as air load mass is not the same. The air load in a large baffle is two times larger than in free air. Although results will differ slightly we argue that they can be successfully used in box design.

There are two standards that define measurement of physical loudspeaker parameters. IEC 60268-5 [15] defines variation of closed box method. The other standard AES2-2012 [16] extends IEC standard with added mass method. AES2-2012 also specifies that mounting should be done with firm clamp in vertical position so that gravitational force does not offset membrane.

For estimation of physical parameters LIMP uses and improves methods promoted by Small [6] and measurement system MLSSA [10]. They are described in next sections.

5.3.1 Added mass method

In this method we first measure the impedance curve and estimate Thiel-Small parameters fS, QMS and QES, for the loudspeaker mounted in free air. Then we put an additional mass Madded on the membrane, measure impedance curve and estimate the shifted resonance frequency fM and electrical Q-factor QEM. From equations for QEMand QES, we get Bl2. By equating both expression for; Bl2, as we assume it to be constant in both measurements, we get:

"constant force factor BL"

When we know MMS and fS, it is easy to get mechanical compliance CMS, resistance RMS and force factor Bl. By using equations, that are defined in Table 5.1, we get

, [image], [image] ,

This method is used in LIMP by default. It is called “constant Bl” method. Standard AES2-2012 uses “constant compliance” method, where expression for CMS with and without added mass are equated to get:

"constant compliance"

In most cases assumption of constant compliance gives worse results than “constant Bl” solution. Why? In low frequency region membrane has large displacement which generates nonlinear behavior of compliance and force factor Bl, but compliance also has rise toward low frequencies due to viscoelastic creep effect.
In both cases it is important to measure impedance with small signal excitation.

5.3.2 Closed box method

In this method, we first measure the impedance curve and estimate Thiel-Small parameters fS, QMS and QES, for the loudspeaker mounted in free air. Then we mount the loudspeaker in a closed box, of known volume VB, measure impedance curve and estimate Thiel-Small parameters fC, QMC, QEC. From these we find

Then, by using equations that are defined in Table 5.1, we get:

, [image], [image],

The problem of measurement piston area S

The accuracy of estimation of physical parameters depends on the value of membrane area S. The value is normally obtained from a cone diameter measurement that includes 1/3 - 1/2 of the surround width. MLSSA [10] suggests a method to estimate area S from measurement data. The method is based on applying two measurement methods; added mass and closed box, successively to the same driver. This technique makes use of the fact that VAS is independent of S for the closed-box method while MMS is independent of S for the added-mass method. Then the value of area S in square centimeters can be computed as,

where MMS in grams is measured using the added-mass method while VAS in liters is measured using the closed-box method. Frequency fS is a driver resonant frequency that is measured without box.

5.3.3 Fixed mass method

The fixed mass method assumes that we have unassembled driver membrane of area S. The static weight of membrane (including voice coil and half of suspension and spider) is Mm.
Total dynamical mass MMS is obtained by adding air loading mass. If the driver is mounted in free air the total mass can be calculated by expression:

MMS = Mm + 0.5658 S3/2

If the driver is mounted in infinity baffle the value od air load mass should be doubled.

In this method we first measure the impedance curve and estimate Thiel-Small parameters fS, QMS and QES, for the loudspeaker mounted in free air, then using known value of MMS , we get:

, [image], [image] ,


5.4 Automatic estimation of loudspeaker parameters

LIMP procedures for the estimation of basic loudspeaker parameters are as follows.

To estimate Q-factors of loudspeaker we need:

  • measured impedance data,
  • measured voice coil DC resistance in ohms,
  • estimated membrane diameter in cm.

    • Then we activate the menu Analyze->Loudspeaker parameters - Added mass method to get the 'Loudspeaker parameters - Added Mass Method' dialog box, shown in Fig. 5.2.

    Figure 5.3 Dialog for the estimation of loudspeaker parameters (Q-factors)

    In this dialog box user enters values for Voice coil resistance and Membrane diameter in appropriate edit boxes. Click on button 'Calculate' gets the report shown in the left edit box. This report can be pasted to the clipboard by pressing the button 'Copy'. The click on button Export saves data in file using the Excel .csv format.

    In the section "Nonlinear LSE Optimization user sets three check boxes to allow more accurate estimation:

    Estimate TSP by LSE minimization

    Estimate voice coil resistance( if voice coil resistance is unavailable)

    Estimate lossy inductor model

    To apply LSE method, impedance measurement have to be done in full frequency range (20 kHz), or at least to frequency that is hundred times larger than loudspeaker resonance frequency.

    5.4.1 Added mass method

    To estimate all physical and dynamical loudspeaker parameters we have to make two impedance measurements of the loudspeaker mounted in a free air. In one of the two measurements, the membrane must be loaded with an additional mass and set as an overlay graph. This is what we need:

  • measured impedance data,
  • impedance data measured with an additional mass set on membrane,
  • one of the curves (1 or 2) must be set as an overlay graph (as in Fig. 5.4),
  • measured additional mass - in grams,
  • measured voice coil dc resistance - in ohms,
  • estimated membrane iameter - in cm.

    • Figure 5.4 Two impedance curve (the one with lower resonance frequency is obtained by adding mass to the membrane)

    Then we click the menu item Analyze->Loudspeaker parameters - Added mass method to get the 'Loudspeaker parameters - Added Mass Method' dialog box, shown in Fig. 5.5.

    Figure 5.5 Dialog for the estimation of loudspeaker parameters using Added Mass Method

    User enters values for Voice coil resistance, Membrane diameter and Added mass in appropriate edit boxes.

    Click on the button 'Calculate' gets the report shown in the left edit box.

    This report can be pasted to the clipboard by pressing the button 'Copy'.

    The click on button Export saves data in file using the Excel .csv format.

    Check box 'Driver mounted in infinite baffle' sets condition of measurement. Here it is empty which means that driver is unbaffled.

    Check box 'Use constant compliance method' enables alternate equation to estimate physical parameters. The default is "constant Bl" method.

    In the section "Nonlinear LSE Optimization user sets three check boxes to allow more accurate estimation:

    Estimate TSP by LSE minimization

    Estimate voice coil resistance( if voice coil resistance is unavailable)

    Estimate lossy inductor model

    Three lossy inductor circuits:

    Le+L2||R2

    Le+L2||R2+ L3||R2

    Le+L2||R2||K

    are selectable by using the list box at the bottom of this section.

    (Note: + denotes serial connection, || denotes parallel connection)

    5.4.2 Closed Box Method

    We use two two impedance measurements. In one of the measurements the loudspeaker is mounted in a free air, in other measurement the loudspeaker is mounted in a closed box of known volume. This is what we need:

  • measured impedance data,
  • impedance data measured with loudspeaker mounted in a closed box,
  • one of the curves (1 or 2) must be set as an overlay graph (as in Fig. 5.5),
  • measured volume of the closed box (in liters),
  • measured voice coil dc resistance in ohms,
  • estimated membrane diameter in cm.
    •

    Then we activate the menu item     Analyze->Loudspeaker parameters - Closed box method to get the 'Loudspeaker parameters - Closed Box Method' dialog box, shown in Fig. 5.6.

    Figure 5.6 Dialog for the estimation of loudspeaker parameters using Closed Box Method

    User enters values for Voice coil resistance, Membrane diameter and Closed box volume in appropriate edit boxes.

    Press on the button 'Calculate' gets the report shown in the left edit box.

    This report can be pasted to the clipboard by pressing the button 'Copy'.

    The click on button Export saves data in file using the Excel .csv format.

    Check box 'Driver mounted in infinite baffle' sets condition of measurement. In this case the driver is unbaffled.

    In the section "Nonlinear LSE Optimization user sets three check boxes to allow more accurate estimation:

    Estimate TSP by LSE minimization

    Estimate voice coil resistance( if voice coil resistance is unavailable)

    Estimate lossy inductor model

    Three lossy inductor circuits:

    Le+L2||R2

    Le+L2||R2+ L3||R2

    Le+L2||R2||K

    are selectable by using the list box at the bottom of this section.

    (Note: + denotes serial connection, || denotes parallel connection)

    5.4.3 Fixed Mass Method

    In this method we use single impedance measurement. The loudspeaker is unbaffled or in infinite baffle

    This is what we need:

  • measured impedance data,
  • measured static mass of membrane with voice coil and half of suspension and spider.
  • measured voice coil dc resistance in ohms,
  • estimated membrane diameter in cm.

    • Then we click the menu     Analyze->Loudspeaker parameters - Fixed mass method to get the 'Loudspeaker parameters - Fixed Mass Method' dialog box, shown in Fig. 5.7.

    Figure 5.7 Dialog for the estimation of loudspeaker parameters using Fixed Mass Method

    User enters values for Voice coil resistance, Membrane diameter and Static membrane mass in appropriate edit boxes.

    Click on the button 'Calculate parameters' gets the report shown in the left edit box.

    This report can be pasted to the clipboard by pressing the button 'Copy'.

    The click on button Export saves data in file using the Excel .csv format.

    In this dialog the check box 'Driver mounted in infinite baffle' is not for informative purpose only, like in previous cases. Here it determines proper value air load mass that shall be applied in calculations of MMS.

    5.4.4 Monitoring the quality of loudspeaker parameters estimation

    LIMP doesn't show any "single number" indicator of TSP estimation quality, but the user can visually check the quality of estimation by pressing the F3 key in the measurement window, or by menu command Overlay->Make target curve from TSP. It will generate impedance curve from currently calculated loudspeaker parameters and show it as target curve.

    The quality of Loudspeaker parameter estimation is not high. The estimation of VAS and MMS can show differences, depending on method

    used in the range 20-30%. Here is partial explanation of these differences, and where they came from:

    Thiele-Small model is simplified linear model, while the loudspeaker is highly nonlinear device. Nonlinearity is largest below resonance frequency where the loudspeaker membrane has the largest displacement. It causes nonlinearity in compliance and force factor Bl.

    The compliance is also changing as a function of frequency – that is called a creep effect, and it makes larger compliance variation in added mass method than in the closed box method. The closed box method is very often disturbed by large air leakage. Compliance is also function of temperature. Loudspeakers that are used in cars are exposed to large temperature variations, and in extreme cases, compliance can change more than 50%.

    The Fixed mass method can give the best results, as it is less dependent on compliance shift, but in many cases it is impossible to have an unassembled driver membrane.

    For proper measurement it is extremely important that a loudspeaker passes long burn-in period, as it helps stabilize suspension dynamics. Burn-in could be done with music signals with high low-frequency content or with LIMP test signals (pink noise or multitone).


4.6 Impedance Graph Setup

6 RLC measurement

LIMP can be used to measure value of resistors, capacitors and inductors, simply by calculating resistive, inductive or capacitive parts of the measured impedance. For example, Fig. 6.1 shows impedance curves of an capacitor with nominal value of 6.9 uF.

Figure 6.1 The impedance graph of an 6.92uF capacitor

By clicking menu command Analysis->RLC Impedance value at cursor position we get the dialog box with report as shown on figure 6.2. Here LIMP reports that measured impedance at 100Hz has resistive part of 0.587 ohms and imaginary part is capacitive with value of 6.93 uF.

Figure 6.2 Impedance of an capacitor

LIMP measures the inductance in the same way. The report of measured impedance is shown in Fig. 6.2.

The last line of report shows the value of dissipation factor D. It is equal to the ratio of impedance real and imaginery parts at specified frequency.

The reciprocal value of D is called quality factor Q. It is normally used to show the quality of inductors.

Note: These measurements can be confusing if impedance phase is close to zero degree or very close to -90 or 90 degree. Then, a very small error in measurement can results with false capacitive or inductive values.

6.1 Importance of calibration

When measuring impedance and capacitance it is very important to calibrate the system before the measurement. Why?

Even if there is a very small difference between channel sensitivities (i.e. 0.1 dB), LIMP can give very erroneous result, because inductor impedance has phase close to plus 90 degrees, and capacitor impedance has phase close to minus 90 degrees. In that case if there is a difference in sensitivity of measured generator voltage V1 and impedance voltage V2 (if sensitivity of probe V2 is larger than sensitivity of probe V1) estimated impedance gives phase values that are larger than 90 degrees and the graph shows warped jump in the phase for 180 degrees. Figure 6.3 shows the case of measuring a capacitor without the calibration. In half the range the phase is close to plus 90 degrees, and suggests that we are dealing with an inductance.

Figure 6.4 shows capacitor impedance after the calibration. We see correct values for phase in the whole frequency range.

Figure 6.3 Wrongly estimated impedance of plastic capacitor 4.7 uF/250V (measured without the calibration)

Figure 6.4 Correctly estimated impedance of plastic capacitor 4.7 uF/250V (measured after the calibration)


Literature

[1] I. Mateljan, "Signal Selection for the Room Acoustics Measurement", Proc. 1999 IEEE Workshop on Applications of Signal Processing to Audio and Acoustics, New Paltz, New York, 1999.

[2] I. Mateljan, K. Ugrinoviæ, "The Comparison of Room Impulse Response Measuring Systems", Proc. AAA 2003, Portoroz, Slovenia, 2003.

[3] D. D. Rife, J. Vanderkooy, "Transfer Function Measurement with Maximum-Length Sequences”, Journal of the Audio Engineering Society, vol. 37, June 1989.

[4] J. S.Bendat, A.G. Piersol, Engineering applications of Correlation and Spectral Analysis, Wiley, New York, 1980.

[5] L.L. Beranek, Acoustics, 1986 Edition, Published for the Acoustical Society of America by the American Institute of Physics.

[6] R.H. Small, "Direct-Radiator Loudspeaker System Analysis", Journal of the Audio Engineering Society, Vol. 20, June 1972.

[7] A.N. Thiele, "The Thiele-Small Parameters for Measuring, Specifying and Designing Loudspeakers", PALA International Conference, Singapore, 2004.

[8] J. Vanderkooy, "A Model of Loudspeaker Driver Impedance Incorporating Eddy Currents in the Pole Structure", Journal of the Audio Engineering Society, Vol. 37, March 1989.

[9] W. M. Leach, "Loudspeakers Voice Coil Inductance Losses: Circuit Models, Parameter Estimation and Effect on Frequency Response", Journal of the Audio Engineering Society, vol. 50, June 2002.

[10] MLSSA SPO – Speaker Parameters Option – Reference Manual ver. 4WI, DRA Laboratories, Sarasota, USA, 2001.

[11] Klippel Analyzer System – Linear Parameters Measurement, Klippel Gmbh, Dresden, Germany, 2003.

[12] K. Thorborg, C. Futtrup, "Electrodynamic Transducer Model Incorporating Semi-Inductance and Means for Shorting AC Magnetization", Journal of the Audio Engineering Society, vol. 59, September 2010.

[13] Mateljan, I., Sikora, M. "Estimation of Loudspeaker Driver Parameters", Proc. AAA 2012, Zadar, Croatia, 2012.

[14] J. J. Moré, B. S. Garbow, and K. E. Hillstrom, User Guide for MINPACK-1, Argonne National Laboratory Report ANL-80-74, Argonne, Ill., 1980.

[15] IEC 60268-5 standard, “Sound system equipment – part 5: Loudspeakers”, IEC 2003.

[16] AES2 – 2012 standard, “Methods of measuring and specifying the performance of loudspeakers for professional applications - Drive units”, AES, 2013.